libmpfi-dev-common_1.5.3+ds-2_all.deb


Advertisement

Description

libmpfi-dev-common - multiple precision floating-point interval computation library -- headers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmpfi-dev-common_1.5.3+ds-2_all.deb
Package name libmpfi-dev-common
Package version 1.5.3+ds
Package release 2
Package architecture all
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://mpfi.gforge.inria.fr/
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 10.99 KB
Installed size 37.00 KB
This package provides a C library of functions for interval arithmetic
computations with arbitrary precision.
The basic principle of interval arithmetic consists in enclosing every number
by an interval containing it and being representable by machine numbers: for
instance it can be stored as its lower and upper endpoints and these bounds
are machine numbers, or as a centre and a radius which are machine numbers.
The arithmetic operations are extended for interval operands in such a way
that the exact result of the operation belongs to the computed interval.
The purpose of an arbitrary precision interval arithmetic is on the one hand
to get guaranteed results, thanks to interval computation, and on the other
hand to obtain accurate results, thanks to multiple precision arithmetic. The
MPFI library is built upon MPFR in order to benefit from the correct roundings
provided by MPFR. Further advantages of using MPFR are its portability and
compliance with the IEEE 754 standard for floating-point arithmetic.
This package provides the headers needed by developers.

Alternatives

Package Version Architecture Repository
libmpfi-dev-common_1.5.3+ds-2_all.deb 1.5.3+ds all Debian Main
libmpfi-dev-common - - -

Conflicts

Name Value
libmpfi0-dev-common << 1.5.1+ds-3

Replaces

Name Value
libmpfi-dev << 1.5.1+ds-1
libmpfi0-dev-common << 1.5.1+ds-3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmpfi-dev-common_1.5.3+ds-2_all.deb
Source Package mpfi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmpfi-dev-common deb package:
    # sudo apt-get install libmpfi-dev-common

Files

Path
/usr/include/mpfi.h
/usr/include/mpfi_io.h
/usr/share/doc/libmpfi-dev-common/changelog.Debian.gz
/usr/share/doc/libmpfi-dev-common/changelog.gz
/usr/share/doc/libmpfi-dev-common/copyright
/usr/share/lintian/overrides/libmpfi-dev-common

Changelog

2018-01-27 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.3+ds-2) unstable; urgency=medium
* RC bug fix release (Closes: #888560), harden d/control.
* Debianization:
- debian/control: see above;
- debian/source/lintian-overrides, tag, rename.
2018-01-18 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.3+ds-1) unstable; urgency=medium
* New upstream release.
* Debianization:
- debian/copyright:
- Files-Excluded field, update;
- format URI, secure;
- debian/patches/*:
- d/p/upstream-autotools-refresh.patch ,
- d/p/upstream-libtoolization-version_script.patch , update;
- d/p/upstream-fix-version_mismatch.patch ,
d/p/upstream-source-warnings-silence.patch ,
d/p/upstream-source-system_wide_includes.patch , integrated,
thanks to the upstream team.
2018-01-13 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.2+ds-1) unstable; urgency=medium
* New upstream release.
* Debianization:
- debian/copyright:
- Sources field, URI, secure;
- Files-Excluded field, refresh;
- copyright date, refresh;
- debian/control:
- debhelper, bump to 11;
- Standards Version, bump to 4.1.3 (no change);
- Priority field, reset from extra to optional;
- debian/watch, bump to version 4;
- debian/rules:
- debhelper, bump to 11;
- get-orig-source target, simplify;
- override_dh_install(doc|example)s:
--doc-main-package set up to libmpfi-doc;
- debian/patches/*:
- d/p/upstream-autotools-refresh.patch, update;
- d/p/upstream-libtoolization-version_script.patch, update;
- d/p/upstream-fix-version_mismatch.patch, introduce;
- debian/adhoc/*, correct and refresh.
2016-06-04 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.1+ds-4) unstable; urgency=medium
* RC bug fix release (Closes: #825600), harden libdev transition.
2016-05-09 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.1+ds-3) unstable; urgency=medium
* Debianization:
- debian/copyright, refresh;
- debian/control:
- Standards Version, bump to 3.9.8 (no change);
- Vcs-*, secure;
- debug symbol package, drop off in favour of automatic generation;
- SONNAME/SOINDEX being removed from libdev package names, initiate;
- debian/rules:
- dpkg-buildflags, add hardening=+all;
- debug symbol package, drop off (see above);
- symlink policy for documentation directories, set;
- debian/adhoc/examples, introduce;
- debian/tests/*, introduce.
2015-06-30 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.1+ds-2) unstable; urgency=medium
* RC bug fix release (Closes: #790509), stabilize libdev transition.
2015-06-17 - Jerome Benoit <calculus@rezozer.net>
mpfi (1.5.1+ds-1) unstable; urgency=medium
* New maintainer (Closes: #771883).
* Debianization:
- debian/copyright:
- in DEP-5 format, bump;
- Files-Excluded field, introduce;
- refresh;
- debian/control:
- debhelper build-dep to >= 9, bump;
- Standards Version 3.9.6, bump;
- Build-Depends field, refresh;
- Multi-Arch support, achieve (Closes: 737387);
- Vcs-* headers, refresh;
- debian/watch, provide;
- debian/rules:
- full dh integration, refresh;
- build-arch/build-indep scheme, introduce;
- get-orig-source uscan based target which downloads the currently
packaged upstream tarball and repacks it wrt Files-Excluded;
- default target which basically queries package status with uscan
-- output in DEHS format;
- debian/patches/:
- patches in DEP-3 format;
- autotoolization, refresh;
- libtoolization:
- script-version, create on fly;
- library versionning, introduce;
- minor and cosmetic fixes;
- gpg-signature check support, neutralize.
2014-02-09 - Laurent Fousse <lfousse@debian.org>
mpfi (1.5.1-3) unstable; urgency=medium
* Apply patch by Logan Rosen to fix FTBFS on ppc64el (closes: #734570).

See Also

Package Description
libmpfi-dev_1.5.3+ds-2_i386.deb multiple precision floating-point interval computation library -- libdev
libmpfi-doc_1.5.3+ds-2_all.deb multiple precision floating-point interval computation library -- doc
libmpfi0-dev_1.5.3+ds-2_all.deb transitional dummy package
libmpfi0_1.5.3+ds-2_i386.deb multiple precision floating-point interval computation library -- lib
libmpfr-dev_4.0.2-1_i386.deb multiple precision floating-point computation developers tools
libmpfr-doc_4.0.2-1_all.deb multiple precision floating-point computation documentation
libmpfr6_4.0.2-1_i386.deb multiple precision floating-point computation
libmpfrc++-dev_3.6.6+ds-1_all.deb multi-precision floating point number class for C++
libmpg123-0_1.25.10-2_i386.deb MPEG layer 1/2/3 audio decoder (shared library)
libmpg123-dev_1.25.10-2_i386.deb MPEG layer 1/2/3 audio decoder (development files)
libmpich-dev_3.3-3_i386.deb Development files for MPICH
libmpich12_3.3-3_i386.deb Shared libraries for MPICH
libmpikmeans-dev_1.5+dfsg-7_i386.deb Development libraries and header files for MPIKmeans
libmpikmeans1_1.5+dfsg-7_i386.deb Fast Library for k-means Clustering
libmpj-java_0.44+dfsg-4_all.deb Java library for parallel applications for multicore processors and clusters
Advertisement
Advertisement